// ============================================================
// Copyright (C) 2009 Kuzumeji Wizard. All rights reserved.
// ____ GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007 ____
// ___________ http://www.gnu.org/licenses/gpl.html ___________
// File: $Id: AppRuntimeException.java 1669 2009-11-08 11:43:31Z kuzumeji $
// ============================================================
package kuzumeji;
/**
 * AppRuntimeException
 * @author nilcy
 */
public class AppRuntimeException extends RuntimeException {
    /** S/N */
    private static final long serialVersionUID = 5592436704525850705L;
    /** CONSTRUCTOR */
    public AppRuntimeException() {
        super();
    }
    /**
     * CONSTRUCTOR
     * @param aMessage
     * @param aCause
     */
    public AppRuntimeException(String aMessage, Throwable aCause) {
        super(aMessage, aCause);
    }
    /**
     * CONSTRUCTOR
     * @param aMessage
     */
    public AppRuntimeException(String aMessage) {
        super(aMessage);
    }
    /**
     * CONSTRUCTOR
     * @param aCause
     */
    public AppRuntimeException(Throwable aCause) {
        super(aCause);
    }
}
